<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_graph_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_graph_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__graph.html">Graph APIs</a>]</small>
</h1><!-- doxytag: class="tivx_graph_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The top level data for graph object. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a7f42313ffd03a9ddffb31d2b8c44759d">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The base reference object.  <a href="#a7f42313ffd03a9ddffb31d2b8c44759d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a3af31f843855b311dd2c24a8e41ab5d3">verified</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to maintain state of graph verification.  <a href="#a3af31f843855b311dd2c24a8e41ab5d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a8ab23bb35c280e55583c0e9775d1798d">reverify</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to maintain state of graph re-verification.  <a href="#a8ab23bb35c280e55583c0e9775d1798d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a696ed59e5c9f6dc5367c86f972b2cf59">nodes</a> [TIVX_GRAPH_MAX_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Nodes in a graph.  <a href="#a696ed59e5c9f6dc5367c86f972b2cf59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a912f3bc63d9cd2410b00ffd765abf491">num_nodes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a753d5fbcf252f1c15f4ab2c96c0fd7c6">head_nodes</a> [TIVX_GRAPH_MAX_HEAD_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Head Nodes in a graph.  <a href="#a753d5fbcf252f1c15f4ab2c96c0fd7c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a6cfb9ecaa87c9bed55a487bbf6f7be37">num_head_nodes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a0c6151625a3db70de72b8ad4143b6073">leaf_nodes</a> [TIVX_GRAPH_MAX_HEAD_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Leaf Nodes in a graph.  <a href="#a0c6151625a3db70de72b8ad4143b6073"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a45d95e11db5bbe08e3d15dc8c74de953">num_leaf_nodes</a></td></tr>
<tr><td class="memItemLeft" >struct {</td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__graph__t.html#ae21d01a3645e1896b84e828b69cf557a">node</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The reference to the node which has the parameter.  <a href="#a6decba43486a641d2a5522662eed7fd9"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;uint32_t&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__graph__t.html#ad8dfe96274e1549c761ee11142f1739c">index</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The index to the parameter on the node.  <a href="#a692cd2b83afe9f8316c6ec6016b98f9d"></a><br/></td></tr>
<tr><td class="memItemLeft" valign="top">}&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#abfa91e1cd0feb84b74a3823aa5d5b76c">parameters</a> [TIVX_GRAPH_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of graph parameters.  <a href="#abfa91e1cd0feb84b74a3823aa5d5b76c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a9dac3e16e891f80cf2948cc47cf51224">num_params</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of graph parameters.  <a href="#a9dac3e16e891f80cf2948cc47cf51224"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a689a9c5b613f5c3000ab731986e057ca">state</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The state of the graph (vx_graph_state_e).  <a href="#a689a9c5b613f5c3000ab731986e057ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__perf__t.html">vx_perf_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a223993138f4680fa62734ffeae5b5519">perf</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The performance logging variable.  <a href="#a223993138f4680fa62734ffeae5b5519"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a2adfb145d230b3f36ba1e87e14f5dee3">delays</a> [TIVX_GRAPH_MAX_DELAYS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The array of all delays in this graph.  <a href="#a2adfb145d230b3f36ba1e87e14f5dee3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a4a34b5faf7a0efe3107d19c5c44bf6ad">in_valid_rect</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">valid rect information for input image's  <a href="#a4a34b5faf7a0efe3107d19c5c44bf6ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a56cb0985d8f8c6c3f07e6121223dd7f7">in_valid_rect_ptr</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">valid rect information for input image's  <a href="#a56cb0985d8f8c6c3f07e6121223dd7f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a71d84165dc249dc246575e10ae524d8e">out_valid_rect</a> [TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">valid rect information for output image's  <a href="#a71d84165dc249dc246575e10ae524d8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html#a162ec377600e281973558b4fa4d5c429">out_valid_rect_ptr</a> [TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">valid rect information for output image's  <a href="#a162ec377600e281973558b4fa4d5c429"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a7f42313ffd03a9ddffb31d2b8c44759d"></a><!-- doxytag: member="tivx_graph_t::base" ref="a7f42313ffd03a9ddffb31d2b8c44759d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__graph__t.html#a7f42313ffd03a9ddffb31d2b8c44759d">tivx_graph_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The base reference object. </p>

</div>
</div>
<a class="anchor" id="a3af31f843855b311dd2c24a8e41ab5d3"></a><!-- doxytag: member="tivx_graph_t::verified" ref="a3af31f843855b311dd2c24a8e41ab5d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__graph__t.html#a3af31f843855b311dd2c24a8e41ab5d3">tivx_graph_t::verified</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to maintain state of graph verification. </p>

</div>
</div>
<a class="anchor" id="a8ab23bb35c280e55583c0e9775d1798d"></a><!-- doxytag: member="tivx_graph_t::reverify" ref="a8ab23bb35c280e55583c0e9775d1798d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__graph__t.html#a8ab23bb35c280e55583c0e9775d1798d">tivx_graph_t::reverify</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to maintain state of graph re-verification. </p>

</div>
</div>
<a class="anchor" id="a696ed59e5c9f6dc5367c86f972b2cf59"></a><!-- doxytag: member="tivx_graph_t::nodes" ref="a696ed59e5c9f6dc5367c86f972b2cf59" args="[TIVX_GRAPH_MAX_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__t.html#a696ed59e5c9f6dc5367c86f972b2cf59">tivx_graph_t::nodes</a>[TIVX_GRAPH_MAX_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Nodes in a graph. </p>

</div>
</div>
<a class="anchor" id="a912f3bc63d9cd2410b00ffd765abf491"></a><!-- doxytag: member="tivx_graph_t::num_nodes" ref="a912f3bc63d9cd2410b00ffd765abf491" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__graph__t.html#a912f3bc63d9cd2410b00ffd765abf491">tivx_graph_t::num_nodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a753d5fbcf252f1c15f4ab2c96c0fd7c6"></a><!-- doxytag: member="tivx_graph_t::head_nodes" ref="a753d5fbcf252f1c15f4ab2c96c0fd7c6" args="[TIVX_GRAPH_MAX_HEAD_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__t.html#a753d5fbcf252f1c15f4ab2c96c0fd7c6">tivx_graph_t::head_nodes</a>[TIVX_GRAPH_MAX_HEAD_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Head Nodes in a graph. </p>

</div>
</div>
<a class="anchor" id="a6cfb9ecaa87c9bed55a487bbf6f7be37"></a><!-- doxytag: member="tivx_graph_t::num_head_nodes" ref="a6cfb9ecaa87c9bed55a487bbf6f7be37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__graph__t.html#a6cfb9ecaa87c9bed55a487bbf6f7be37">tivx_graph_t::num_head_nodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0c6151625a3db70de72b8ad4143b6073"></a><!-- doxytag: member="tivx_graph_t::leaf_nodes" ref="a0c6151625a3db70de72b8ad4143b6073" args="[TIVX_GRAPH_MAX_HEAD_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__t.html#a0c6151625a3db70de72b8ad4143b6073">tivx_graph_t::leaf_nodes</a>[TIVX_GRAPH_MAX_HEAD_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Leaf Nodes in a graph. </p>

</div>
</div>
<a class="anchor" id="a45d95e11db5bbe08e3d15dc8c74de953"></a><!-- doxytag: member="tivx_graph_t::num_leaf_nodes" ref="a45d95e11db5bbe08e3d15dc8c74de953" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__graph__t.html#a45d95e11db5bbe08e3d15dc8c74de953">tivx_graph_t::num_leaf_nodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae21d01a3645e1896b84e828b69cf557a"></a><!-- doxytag: member="tivx_graph_t::node" ref="ae21d01a3645e1896b84e828b69cf557a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__t.html#ae21d01a3645e1896b84e828b69cf557a">tivx_graph_t::node</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The reference to the node which has the parameter. </p>

</div>
</div>
<a class="anchor" id="ad8dfe96274e1549c761ee11142f1739c"></a><!-- doxytag: member="tivx_graph_t::index" ref="ad8dfe96274e1549c761ee11142f1739c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__graph__t.html#ad8dfe96274e1549c761ee11142f1739c">tivx_graph_t::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The index to the parameter on the node. </p>

</div>
</div>
<a class="anchor" id="abfa91e1cd0feb84b74a3823aa5d5b76c"></a><!-- doxytag: member="tivx_graph_t::parameters" ref="abfa91e1cd0feb84b74a3823aa5d5b76c" args="[TIVX_GRAPH_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct { ... }   <a class="el" href="structtivx__graph__t.html#abfa91e1cd0feb84b74a3823aa5d5b76c">tivx_graph_t::parameters</a>[TIVX_GRAPH_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of graph parameters. </p>

</div>
</div>
<a class="anchor" id="a9dac3e16e891f80cf2948cc47cf51224"></a><!-- doxytag: member="tivx_graph_t::num_params" ref="a9dac3e16e891f80cf2948cc47cf51224" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__graph__t.html#a9dac3e16e891f80cf2948cc47cf51224">tivx_graph_t::num_params</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of graph parameters. </p>

</div>
</div>
<a class="anchor" id="a689a9c5b613f5c3000ab731986e057ca"></a><!-- doxytag: member="tivx_graph_t::state" ref="a689a9c5b613f5c3000ab731986e057ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__graph__t.html#a689a9c5b613f5c3000ab731986e057ca">tivx_graph_t::state</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The state of the graph (vx_graph_state_e). </p>

</div>
</div>
<a class="anchor" id="a223993138f4680fa62734ffeae5b5519"></a><!-- doxytag: member="tivx_graph_t::perf" ref="a223993138f4680fa62734ffeae5b5519" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__perf__t.html">vx_perf_t</a> <a class="el" href="structtivx__graph__t.html#a223993138f4680fa62734ffeae5b5519">tivx_graph_t::perf</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The performance logging variable. </p>

</div>
</div>
<a class="anchor" id="a2adfb145d230b3f36ba1e87e14f5dee3"></a><!-- doxytag: member="tivx_graph_t::delays" ref="a2adfb145d230b3f36ba1e87e14f5dee3" args="[TIVX_GRAPH_MAX_DELAYS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a> <a class="el" href="structtivx__graph__t.html#a2adfb145d230b3f36ba1e87e14f5dee3">tivx_graph_t::delays</a>[TIVX_GRAPH_MAX_DELAYS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The array of all delays in this graph. </p>

</div>
</div>
<a class="anchor" id="a4a34b5faf7a0efe3107d19c5c44bf6ad"></a><!-- doxytag: member="tivx_graph_t::in_valid_rect" ref="a4a34b5faf7a0efe3107d19c5c44bf6ad" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a> <a class="el" href="structtivx__graph__t.html#a4a34b5faf7a0efe3107d19c5c44bf6ad">tivx_graph_t::in_valid_rect</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>valid rect information for input image's </p>

</div>
</div>
<a class="anchor" id="a56cb0985d8f8c6c3f07e6121223dd7f7"></a><!-- doxytag: member="tivx_graph_t::in_valid_rect_ptr" ref="a56cb0985d8f8c6c3f07e6121223dd7f7" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a>* <a class="el" href="structtivx__graph__t.html#a56cb0985d8f8c6c3f07e6121223dd7f7">tivx_graph_t::in_valid_rect_ptr</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>valid rect information for input image's </p>

</div>
</div>
<a class="anchor" id="a71d84165dc249dc246575e10ae524d8e"></a><!-- doxytag: member="tivx_graph_t::out_valid_rect" ref="a71d84165dc249dc246575e10ae524d8e" args="[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a> <a class="el" href="structtivx__graph__t.html#a71d84165dc249dc246575e10ae524d8e">tivx_graph_t::out_valid_rect</a>[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>valid rect information for output image's </p>

</div>
</div>
<a class="anchor" id="a162ec377600e281973558b4fa4d5c429"></a><!-- doxytag: member="tivx_graph_t::out_valid_rect_ptr" ref="a162ec377600e281973558b4fa4d5c429" args="[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a>* <a class="el" href="structtivx__graph__t.html#a162ec377600e281973558b4fa4d5c429">tivx_graph_t::out_valid_rect_ptr</a>[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>valid rect information for output image's </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
